
package AOMCase;

import com.metamaxim.modelscope.callbacks.*;

public class ConfirmMission extends Event {

  public void handleEvent() {
	  //Send the Confirm Mission event to the model to change its state to confirmed
	  this.submitToModel();
	  //If this is an Internal Mission, look for a Resource
	  if (this.getInstance("Mission Recommendation").getObjectType().equals("Internal Mission")) {
		  ResourceFinder.seekResource(this, this.getInstance("Mission Recommendation"));
		  }
	}

}


